Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ext.x3d.util
Class ExtrusionComputation

    java.lang.Object
      de.grogra.ext.x3d.util.ExtrusionComputation

    public class ExtrusionComputation

extends java.lang.Object

Nested Class Summary
`static class` | `ExtrusionComputation.CrossSection`

Constructor Summary
`ExtrusionComputation(IntList coordIndexList, FloatList vertexList, FloatList normalList, FloatList uvList, float[] crossSection, float[] spine, boolean ccw)`

Method Summary
`int` | `createCap(int k, java.util.ArrayList<Point3f> vertList, boolean beginCap)`
`void` | `createCrossSections(float[] newScale, float[] newOrientation, float[] newSpine, java.util.ArrayList<ExtrusionComputation.CrossSection> cs, boolean pointsOnLine)`
`int` | `createSides(java.util.ArrayList<ExtrusionComputation.CrossSection> cs, int k)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtrusionComputation

    public ExtrusionComputation(IntList coordIndexList,
                                FloatList vertexList,
                                FloatList normalList,
                                FloatList uvList,
                                float[] crossSection,
                                float[] spine,
                                boolean ccw)

Method Detail

### createCap

    public int createCap(int k,
                         java.util.ArrayList<Point3f> vertList,
                         boolean beginCap)

### createCrossSections

    public void createCrossSections(float[] newScale,
                                    float[] newOrientation,
                                    float[] newSpine,
                                    java.util.ArrayList<ExtrusionComputation.CrossSection> cs,
                                    boolean pointsOnLine)

### createSides

    public int createSides(java.util.ArrayList<ExtrusionComputation.CrossSection> cs,
                           int k)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD